#ifndef __FSL_SYSTICK_WRAPPER__
#define __FSL_SYSTICK_WRAPPER__

#include <fsl_device_registers.h>

// --------------------------------------------------------------------------
#ifdef __cplusplus
extern "C" {
#endif

#if (__Vendor_SysTickConfig == 0)
/* Initializes SysTick timer to "interval" [us] with "callback" handler (NULL for default) */
void init_systick (unsigned int interval, void (*callback)(void));
void systick_enable(void);
void systick_disable(void);

#endif // (__Vendor_SysTickConfig == 0)

#ifdef __cplusplus
} // extern "C"
#endif

#endif // __FSL_SYSTICK_WRAPPER__
